﻿using AppMapProject2.View;
using Prism.Unity;
using Xamarin.Forms;

namespace AppMapProject2 {
    public partial class App : PrismApplication {

        public App() : this(null) { }

        public App(IPlatformInitializer initializer = null) : base(initializer) { }

        protected override void OnInitialized() {
            InitializeComponent();
            NavigationService.NavigateAsync("MainPage/NavigationPage/MDChild");
        }

        protected override void RegisterTypes() {
            Container.RegisterTypeForNavigation<NavigationPage>();
            Container.RegisterTypeForNavigation<MainPage, MainPageViewModel>();
            Container.RegisterTypeForNavigation<MDChild, MDChildViewModel>();
            Container.RegisterTypeForNavigation<MDChild1, MDChild1ViewModel>();
            Container.RegisterTypeForNavigation<MDChild2, MDChild2ViewModel>();
        }
    }
}
